# Uses of Enum Class
org.apache.solr.common.params.FacetParams.FacetRangeInclude

Packages that use FacetParams.FacetRangeInclude
Package
Description
org.apache.solr.common.params
Parameter constants and enumerations.

## Uses of FacetParams.FacetRangeInclude in org.apache.solr.common.params

Methods in org.apache.solr.common.params that return FacetParams.FacetRangeInclude
Modifier and Type
Method
Description
`static FacetParams.FacetRangeInclude`
FacetParams.FacetRangeInclude.`get(String label)`
`static FacetParams.FacetRangeInclude`
FacetParams.FacetRangeInclude.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FacetParams.FacetRangeInclude[]`
FacetParams.FacetRangeInclude.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.common.params that return types with arguments of type FacetParams.FacetRangeInclude
Modifier and Type
Method
Description
`static EnumSet<FacetParams.FacetRangeInclude>`
FacetParams.FacetRangeInclude.`parseParam(String[] param)`
Convenience method for parsing the param value according to the correct semantics and applying the default of "LOWER"